/**   
* @Title: LoginController.java 
* @Package com.hdp.customerservice.api 
* @Description: TODO
* @author new12304508_163_com   
* @date 2015年6月18日 上午10:51:43 
* @version V1.0   
*/
package com.hdp.customerservice.api;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.hdp.customerservice.dto.DTO;
import com.hdp.customerservice.model.WorksEntity;
import com.hdp.customerservice.service.WorksService;

@Controller
@RequestMapping("/customerservice/login")
public class LoginController {

	@Autowired
	private WorksService worksService;
	Integer entCode = 10001;
	
	@RequestMapping(method = RequestMethod.POST)
	@ResponseBody
	public String save(@RequestBody WorksEntity entity,HttpServletRequest request){
		DTO dto=DTO.newDTO();
		System.out.println(entity.getUserName());
		WorksEntity worker = worksService.findByUserNameIgnoreCase(entity.getUserName());
		if(worker == null){
			dto.errCode = -1;
			dto.errMsg = "用户名不存在！";
		}else if(!worker.getPwd().equals(entity.getPwd())){
			dto.errCode = -2;
			dto.errMsg = "密码错误!";
		}else{
			request.getSession(true).setAttribute("user", worker);
		}
		dto.data=worker;
		return dto.toJson();
	}
}
